<html xmlns="http://www.w3.org/1999/xhtml" lang="en"
      xmlns:py="http://genshi.edgewall.org/"
      xmlns:xi="http://www.w3.org/2001/XInclude"
      py:strip="">

<py:def function="content">

  <!-- breadcrumb -->
  <h2 py:with="sep=Markup('&raquo;')" class="breadcrumb">
    <a href="${ link_to() }"
       title="All Branches">ALL</a> <span>$sep</span>
    <a href="${ link_to('%s/' % branch.name()) }"
       title="Branch Root">
      <strong id="branch">${branch.name()}</strong></a>
    <py:for each="c,url in breadcrumb">
      <span>/</span>
      <a py:if="url" href="$url"><strong>$c</strong></a>
      <a py:if="not url">$c</a>
    </py:for>
  </h2>

  <!-- Here we render a File -->
  <div py:if="path.has_text()">
    <!-- TODO: this might hide the underlying source text -->
    <div class="fileinfo">
      revision <b>${path.rev()[0]}</b>: <u>${path.revision().get_summary()}</u><br />
      modified by <em>${path.revision().committer}</em> ${path.age()[1]} ago
    </div>
    ${Markup(path.highlighted_html())}
  </div >

  <!-- and here a Dir -->
  <div py:if="not path.has_text()" class="browser">
    <table class="listing" id="dirlist">
      <thead>
	<tr>
	  <th class="name">Name</th>
	  <th class="size">Size</th>
	  <th class="rev">Rev</th>
	  <th class="date">Age</th>
	  <th class="change">Last Change</th>
	</tr>
      </thead>

      <tbody>
	<tr py:if="path.path != '/'" class="even">
	  <td class="name" colspan="5">
	    <a class="parent" href=".." title="Parent Directory">..</a></td>
	</tr>
	
        <py:for each="i, p in enumerate(path.get_children())">
	  <tr class="${i%2 and 'odd' or 'even'}">
	    <td class="name">
              <a py:if="p.has_text()" class="file" href="$p.name"
		 title="View File">${p.inventory.name}</a>
	      <a py:if="not p.has_text()" class="dir" href="$p.name/"
		 title="Browse Directory">${p.name}</a>
            </td>
	    
	    <td class="size">
	      <span py:if="p.has_text()">
		${pretty_size(p.inventory.text_size)}
	      </span>
	      <span py:if="not p.has_text()"></span>
	    </td>

	    <td class="rev">
	      <a title="${p.rev()[1]}">${p.rev()[0]}</a>
	    </td>

	    <td class="age">
	      <span title="${p.age()[0]}">${p.age()[1]}</span>
	    </td>
	    
	    <td class="change">
	      <span class="author">${p.revision().committer}</span>
	      <span class="change">${p.revision().get_summary()}</span>
	    </td>

	  </tr>
	</py:for>
      </tbody>
    </table>
  </div>

  <div>
    <p><b>Download</b> via bazaar: <code>$ bzr get $branch_url</code></p>
  </div>



</py:def>

<xi:include href="${ config['web']['skel_template'] }" />

</html>
